Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Class TimingSpecifierParser

    java.lang.Object
      org.apache.batik.parser.AbstractParser
          org.apache.batik.parser.TimingParser
              org.apache.batik.parser.TimingSpecifierParser

All Implemented Interfaces:
  Localizable, Parser

Direct Known Subclasses:
  TimingSpecifierListParser

    public class TimingSpecifierParser

extends TimingParser

This class implements an event-based parser for SMIL timing specifier list values.

Field Summary
`protected TimingSpecifierHandler` | `timingSpecifierHandler` The handler used to report parse events.

Fields inherited from class org.apache.batik.parser.TimingParser
`TIME_ACCESSKEY, TIME_ACCESSKEY_SVG12, TIME_EVENTBASE, TIME_INDEFINITE, TIME_MEDIA_MARKER, TIME_OFFSET, TIME_REPEAT, TIME_SYNCBASE, TIME_WALLCLOCK, useSVG11AccessKeys, useSVG12AccessKeys`

Fields inherited from class org.apache.batik.parser.AbstractParser
`BUNDLE_CLASSNAME, current, errorHandler, localizableSupport, reader`

Constructor Summary
`TimingSpecifierParser(boolean useSVG11AccessKeys, boolean useSVG12AccessKeys)` Creates a new TimingSpecifierParser.

Method Summary
`protected void` | `doParse()` Parses a timing specifier.
`TimingSpecifierHandler` | `getTimingSpecifierHandler()` Returns the parse event handler in use.
`protected void` | `handleTimingSpecifier(Object[] spec)` Calls the appropriate parse event handler function for the given parsed timing specifier.
`void` | `setTimingSpecifierHandler(TimingSpecifierHandler handler)` Registers a parse event handler.

Methods inherited from class org.apache.batik.parser.TimingParser
`parseClockValue, parseDigits, parseFraction, parseIDValue, parseName, parseOffset, parseTimingSpecifier, parseUnit, parseWallclockValue`

Methods inherited from class org.apache.batik.parser.AbstractParser
`createErrorMessage, formatMessage, getBundleClassName, getCurrent, getLocale, parse, parse, parse, reportCharacterExpectedError, reportError, reportUnexpectedCharacterError, setErrorHandler, setLocale, skipCommaSpaces, skipSpaces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### timingSpecifierHandler

    protected TimingSpecifierHandler timingSpecifierHandler

  The handler used to report parse events.

Constructor Detail

### TimingSpecifierParser

    public TimingSpecifierParser(boolean useSVG11AccessKeys,
                                 boolean useSVG12AccessKeys)

  Creates a new TimingSpecifierParser.

  Parameters:
    `useSVG11AccessKeys` - allows the use of accessKey() timing specifiers with a single character
    `useSVG12AccessKeys` - allows the use of accessKey() with a DOM 3 key name

Method Detail

### setTimingSpecifierHandler

    public void setTimingSpecifierHandler(TimingSpecifierHandler handler)

  Registers a parse event handler.

### getTimingSpecifierHandler

    public TimingSpecifierHandler getTimingSpecifierHandler()

  Returns the parse event handler in use.

### doParse

    protected void doParse()
                    throws ParseException,
                           IOException

  Parses a timing specifier.

  Specified by:
    `doParse` in class `AbstractParser`
  Throws:
    `ParseException`
    `IOException`

### handleTimingSpecifier

    protected void handleTimingSpecifier(Object[] spec)

  Calls the appropriate parse event handler function for the given parsed timing specifier.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.